# class hk_kderowselector

KDE Widget to select a specific row. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kderowselector.h>`
Inherits | QWidget (unknown) [public ], hk_dsrowselector [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kderowselector (QWidget* wid=0,hk_form* form=NULL)
- virtual ~hk_kderowselector ()

#### Signals

- void previousrow_clicked ()
- void nextrow_clicked ()
- void insertrow_clicked ()
- void lastrow_clicked ()
- void firstrow_clicked ()
- void deleterow_clicked ()
- void rowselector_clicked ()

#### Protected Methods

- void widget_specific_enable_disable (void)
- bool widget_specific_row_change (void)
- void datasource_delete (void)
- bool datasource_enable (void)
- virtual void widget_specific_insert_mode (void)
- virtual void resizeEvent (QResizeEvent *)
- virtual void moveEvent ( QMoveEvent * )
- bool widget_specific_coordinates (uint px,uint py,uint pwidth,uint pheight)
- virtual void widget_specific_backgroundcolour_changed (const hk_colour&)
- virtual void widget_specific_foregroundcolour_changed (const hk_colour&)

#### Protected Slots

- void slotpress_gotofirst (void)
- void slotpress_gotoprevious (void)
- void slotpress_gotonext (void)
- void slotpress_gotolast (void)
- void slotpress_storechanges (void)
- void slotpress_delete (void)
- void slotpress_insert (void)
- void slotlineedit (void)

## Detailed Description

hk_kderowselector (QWidget* wid=0,hk_form* form=NULL)

### hk_kderowselector

~hk_kderowselector ()

### ~hk_kderowselector

[virtual]

void slotpress_gotofirst (void)

### slotpress_gotofirst

[protected slots slot]

void slotpress_gotoprevious (void)

### slotpress_gotoprevious

[protected slots slot]

void slotpress_gotonext (void)

### slotpress_gotonext

[protected slots slot]

void slotpress_gotolast (void)

### slotpress_gotolast

[protected slots slot]

void slotpress_storechanges (void)

### slotpress_storechanges

[protected slots slot]

void slotpress_delete (void)

### slotpress_delete

[protected slots slot]

void slotpress_insert (void)

### slotpress_insert

[protected slots slot]

void slotlineedit (void)

### slotlineedit

[protected slots slot]

void previousrow_clicked ()

### previousrow_clicked

[signal]

void nextrow_clicked ()

### nextrow_clicked

[signal]

void insertrow_clicked ()

### insertrow_clicked

[signal]

void lastrow_clicked ()

### lastrow_clicked

[signal]

void firstrow_clicked ()

### firstrow_clicked

[signal]

void deleterow_clicked ()

### deleterow_clicked

[signal]

void rowselector_clicked ()

### rowselector_clicked

[signal]

signal will be emitted whenever the rowselector is used

void widget_specific_enable_disable (void)

### widget_specific_enable_disable

[protected]

bool widget_specific_row_change (void)

### widget_specific_row_change

[protected]

void datasource_delete (void)

### datasource_delete

[protected]

bool datasource_enable (void)

### datasource_enable

[protected]

void widget_specific_insert_mode (void)

### widget_specific_insert_mode

[protected virtual]

void resizeEvent (QResizeEvent *)

### resizeEvent

[protected virtual]

void moveEvent ( QMoveEvent * )

### moveEvent

[protected virtual]

bool widget_specific_coordinates (uint px,uint py,uint pwidth,uint pheight)

### widget_specific_coordinates

[protected]

void widget_specific_backgroundcolour_changed (const hk_colour&)

### widget_specific_backgroundcolour_changed

[protected virtual]

void widget_specific_foregroundcolour_changed (const hk_colour&)

### widget_specific_foregroundcolour_changed

[protected virtual]

- Version: $Revision: 1.8 $
- Author: Horst Knorr (hk_classes@knoda.org) Just set the datasource (defined in the parent class @ref hk_dsvisible) to use it. You can press the buttons to change to the first, previous,next, last row, or enter the wished row number (first row is number 1).
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.